// -*-c++-*-

/*
 *Copyright:

 Copyright (C) Hidehisa Akiyama, Hiroki SHIMORA

 This code is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2, or (at your option)
 any later version.

 This code is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this code; see the file COPYING.  If not, write to
 the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

 *EndCopyright:
 */

#ifndef HELIOS_PASS_TEST_FIELD_EVALUATOR_H
#define HELIOS_PASS_TEST_FIELD_EVALUATOR_H

/////////////////////////////////////////////////////////////////////

#include "recursive_action_chain_graph.h"
#include <vector>

class PassTestFieldEvaluator
    : public rcsc::FieldEvaluator {
public:
    PassTestFieldEvaluator();

    virtual
    ~PassTestFieldEvaluator();

    virtual
    double operator() ( const rcsc::PredictState & state,
                        const rcsc::WorldModel & wm,
                        const std::vector< rcsc::ActionStatePair > & path ) const;
};

#endif
